import { router } from '../../../main';
import bus from '@/api/bus';

// 按钮添加活动弹窗权限
import activityBtnDiaConfig from "./activityBtnDiaConfig"
// 单元格添加活动弹窗权限
import activityCellDiaConfig from "./activityCellDiaConfig"
// 我的日历页面权限
import myCalendarConfig from "./myCalendarConfig"
// 研究员日历页面权限
import researcherCalendarConfig from "./researcherCalendarConfig"

export {activityBtnDiaConfig,activityCellDiaConfig,myCalendarConfig,researcherCalendarConfig}


/* 点击完确认跳转弹窗 */
export const confirmDiaLink = (sub_msg,message,query) => {
	bus.$msgbox({
		title: '添加活动成功',
		message: `<span>${sub_msg}</span><p>${message}</p>`,
		dangerouslyUseHTMLString:true,
		showCancelButton: true,
		confirmButtonText: '前去查看',
		cancelButtonText: '关闭',
	}).then(action => {
		router.push({path:'/myCalendar',query})
	}).catch(()=>{});
}
//给权益研究员添加的日历 确认弹窗 需要停留在原先页面
export const confirmDiaRai = ()=>{
    bus.$msgbox({
		title: '添加活动成功',
		message: `<span>研究员日程已添加成功</span><p>可前往【研究员日历】查看</p>`,
		dangerouslyUseHTMLString:true,
		showCancelButton: true,
		confirmButtonText: '前去查看',
		cancelButtonText: '关闭',
	}).then(action => {
		//什么也不做
	}).catch(()=>{});
}